Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.model
Interface MutableEmbeddedComponentModel

All Superinterfaces:
  EmbeddedComponentModel, Locatable

All Known Implementing Classes:
  MutableEmbeddedComponentModelImpl

    public interface MutableEmbeddedComponentModel

extends EmbeddedComponentModel

A mutable version of `EmbeddedComponentModel` that allows the parameters to be incrementally stored.

Method Summary
`void` | `addMixin(java.lang.String mixinClassName, java.lang.String... orderingConstraints)` Adds a mixin to the component in terms of its fully qualified class name, with optional ordering constraints.
`void` | `addParameter(java.lang.String name, java.lang.String value)`
`void` | `setPublishedParameters(java.util.List<java.lang.String> parameterNames)` Sets the list of published parameters for this embedded component.

Methods inherited from interface org.apache.tapestry5.model.EmbeddedComponentModel
`getComponentClassName, getComponentType, getConstraintsForMixin, getId, getInheritInformalParameters, getMixinClassNames, getParameterNames, getParameterValue, getPublishedParameters`

Methods inherited from interface org.apache.tapestry5.ioc.Locatable
`getLocation`

Method Detail

### addParameter

    void addParameter(java.lang.String name,
                      java.lang.String value)

### addMixin

    void addMixin(java.lang.String mixinClassName,
                  java.lang.String... orderingConstraints)

  Adds a mixin to the component in terms of its fully qualified class name, with optional ordering constraints.

### setPublishedParameters

    void setPublishedParameters(java.util.List<java.lang.String> parameterNames)

  Sets the list of published parameters for this embedded component.

  Parameters:
    `parameterNames` - list of names
  Since:
    5.1.0.0
  See Also:
    `Component.publishParameters()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.